#!/usr/local/bin/perl -w

=head1 NAME

90revml2svn_0.t - testing of vcp svn i/o

=cut

use strict ;

use Carp ;
use Cwd ;
use Test ;
use VCP::Utils qw( start_dir_rel2abs );
use VCP::TestUtils;

my @vcp = vcp_cmd ;

my $t = -d 't' ? 't/' : '' ;

my $cwd = cwd;

if ( $^O =~ /Win32/ ) {
    $cwd =~ s{\A[A-Z]:}{};
}

my $module = 'foo' ;  ## Must match the rev_root in the testrevml files
my $infile_0 = $t . "test-svn-in-0.revml";
my $svnroot_0 = $t . "svnroot_0";
my $svnstate_0 = $t . "svnstate_0";
my $svn_spec_0 = "svn:file://$cwd/$svnroot_0:/$module" ;
my $repo_id = "svn:test_repository";

my @vcp_options = (
   $svn_spec_0,
   "--create-repo",
   "--delete-repo",
   "--db-dir=$svnstate_0",
   "--repo-id=$repo_id",
);

my @tests = (

##
## Empty import
##
sub {
   run [ @vcp, "revml:-", @vcp_options ],
      \"<revml/>"; #"# de-confuse emacs' cperl mode
   ok $?, 0, "`vcp revml:- $svn_spec_0` return value"  ;
},

sub {
   ok -d $svnroot_0, 1, "$svnroot_0 exists";
},


##
## revml->svn import
##
sub {
   run [ @vcp, "revml:$infile_0", @vcp_options ];
   ok 1;
},

## slurp revml files and analyze with regexps find highest change number
## for each file.  compare this to what's in the head_revs_db.
sub {
   my $got = parse_files_and_revids_from_head_revs_db
      { 
        state_dir => $svnstate_0,
        repo_id => $repo_id, 
        remove_rev_root => "/ignored/",
      };
   my $expected = parse_files_and_revids_from_revml $infile_0 ;

   # TODO: This will have to be fixed in the way vcp builds the head_revs_db.
   # so a no-change branch appears there too.
   # For now just excise the line from the revml parse output.
   $expected =~ s/^branched-no-change =>.*\n//m ;

   ok_or_diff $got, $expected;
},

) ;


plan tests => scalar( @tests ) ;

my $why_skip ;

$why_skip .= svn_borken ;
$why_skip ? skip( $why_skip, 0 ) : $_->() for @tests ;
