#!/usr/local/bin/perl -w

=head1 NAME

revml2svn.t - testing of vcp svn i/o

=cut

use strict ;

use Carp ;
use Cwd ;
use File::Path qw( rmtree );
use Test ;
use VCP::TestUtils ;

my @vcp = vcp_cmd ;

my $t = -d 't' ? 't/' : '' ;

my $cwd = cwd;

if ( $^O =~ /Win32/ ) {
    $cwd =~ s{\A[A-Z]:}{};
}

my $module = 'foo' ;  ## Must match the rev_root in the testrevml files

my $infile_0 = $t . "test-svn-in-0.revml";
my $infile_1 = $t . "test-svn-in-1.revml";

my $svnroot_1  = "${t}svnroot_1";
my $svnstate_1 = "${t}svnstate_1";

my $svn_spec_1 = "svn:file://$cwd/$svnroot_1:/$module" ;

my @tests = (

sub {
   my $svnroot_0  = "${t}svnroot_0";
   my $svnstate_0 = "${t}svnstate_0";
   rmtree [ grep -e, $svnroot_1, $svnstate_1 ];
   copy_dir_tree $svnroot_0, $svnroot_1;
   copy_dir_tree $svnstate_0, $svnstate_1;
   my $out;
   run [ @vcp, "revml:$infile_1", $svn_spec_1,
      "--db-dir=$svnstate_1", "--repo-id=svn:test_repository" ], \undef, \$out;

   ok 1;
},

) ;

plan tests => scalar( @tests ) ;

my $why_skip ;

$why_skip .= svn_borken ;
$why_skip ? skip( $why_skip, 0 ) : $_->() for @tests ;
