#!/usr/local/bin/perl -w

=head1 NAME

revml2svn.t - testing of vcp svn i/o

=cut

use strict ;

use Carp ;
use Cwd ;
use File::Path qw( rmtree );
use Test ;
use VCP::TestUtils ;

my @vcp = vcp_cmd ;

my $t = -d 't' ? 't/' : '' ;

my $cwd = cwd;

if ( $^O =~ /Win32/ ) {
    $cwd =~ s{\A[A-Z]:}{};
}

my $module = 'foo' ;  ## Must match the rev_root in the testrevml files

my $infile_0 = $t . "test-svn-in-0.revml";

my $svnroot_2  = "${t}svnroot_2";
my $svnstate_2 = "${t}svnstate_2";
my $deepdir = "one/two/three/four/five";
my $svn_spec_2 = "svn:file://$cwd/$svnroot_2:/$module/$deepdir/" ;

my @tests = (

##
## revml->svn, re-rooting a dir tree
##
sub {
   my $out;
   run [ @vcp, "revml:$infile_0", $svn_spec_2,
      "--create-repo", "--delete-repo", "--db-dir=$svnstate_2", "--repo-id=svn:test_repository"
      ], \undef, \$out
      or die "`vcp revml:$infile_0 $svn_spec_2` returned $?" ;

   ok 1;
},

);



plan tests => scalar( @tests ) ;

my $why_skip ;

$why_skip .= svn_borken ;
$why_skip ? skip( $why_skip, 0 ) : $_->() for @tests ;
